VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_3
        SIGNAL Tadr(12:0)
        SIGNAL Clk
        SIGNAL XLXN_17
        SIGNAL XLXN_18
        SIGNAL Addr(12:0)
        SIGNAL Data_in(3:0)
        SIGNAL XLXN_52(3:0)
        SIGNAL WE
        SIGNAL Data_out(3:0)
        SIGNAL Reset
        SIGNAL VGA_Plug(9:0)
        PORT Input Clk
        PORT Input Addr(12:0)
        PORT Input Data_in(3:0)
        PORT Input WE
        PORT Output Data_out(3:0)
        PORT Input Reset
        PORT Output VGA_Plug(9:0)
        BEGIN BLOCKDEF video_ram
            TIMESTAMP 2008 11 27 18 37 19
            RECTANGLE N 32 0 304 416 
            BEGIN LINE W 0 48 32 48 
            END LINE
            BEGIN LINE W 0 304 32 304 
            END LINE
            BEGIN LINE W 304 48 336 48 
            END LINE
            BEGIN LINE W 0 272 32 272 
            END LINE
            LINE N 0 128 32 128 
            BEGIN LINE W 304 272 336 272 
            END LINE
            LINE N 0 352 32 352 
            LINE N 0 384 32 384 
        END BLOCKDEF
        BEGIN BLOCKDEF VGA_Driver
            TIMESTAMP 2008 11 27 18 33 3
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF VGA_ColorMap
            TIMESTAMP 2008 11 27 19 38 58
            RECTANGLE N 64 -320 368 148 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 368 -300 432 -276 
            LINE N 368 -288 432 -288 
            RECTANGLE N 0 84 64 108 
            LINE N 64 96 0 96 
        END BLOCKDEF
        BEGIN BLOCK U4 video_ram
            PIN addra(12:0) Tadr(12:0)
            PIN dinb(3:0) Data_in(3:0)
            PIN douta(3:0) XLXN_52(3:0)
            PIN addrb(12:0) Addr(12:0)
            PIN clka Clk
            PIN doutb(3:0) Data_out(3:0)
            PIN web WE
            PIN clkb Clk
        END BLOCK
        BEGIN BLOCK U5 VGA_Driver
            PIN CLK Clk
            PIN RESET Reset
            PIN HSYNCH XLXN_18
            PIN VSYNCH XLXN_17
            PIN HBLANK XLXN_3
            PIN Adr(12:0) Tadr(12:0)
        END BLOCK
        BEGIN BLOCK U6 VGA_ColorMap
            PIN CLK Clk
            PIN VSYNCH_IN XLXN_18
            PIN HSYNCH_IN XLXN_17
            PIN HBLANK XLXN_3
            PIN VGA_plug(9:0) VGA_Plug(9:0)
            PIN COLOR(3:0) XLXN_52(3:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH Tadr(12:0)
            WIRE 1152 816 1168 816
            WIRE 1168 816 1168 944
            WIRE 1168 944 1184 944
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1152 752 1552 752
        END BRANCH
        BEGIN BRANCH XLXN_17
            WIRE 1152 688 1552 688
        END BRANCH
        BEGIN BRANCH XLXN_18
            WIRE 1152 624 1552 624
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 560 1024 608 1024
            WIRE 608 1024 1184 1024
            WIRE 608 1024 608 1280
            WIRE 608 1280 1184 1280
            WIRE 608 512 1552 512
            WIRE 1552 512 1552 560
            WIRE 608 512 608 624
            WIRE 608 624 768 624
            WIRE 608 624 608 1024
        END BRANCH
        BEGIN BRANCH Addr(12:0)
            WIRE 1024 1136 1168 1136
            WIRE 1168 1136 1168 1168
            WIRE 1168 1168 1184 1168
        END BRANCH
        BEGIN BRANCH Data_in(3:0)
            WIRE 1040 1200 1168 1200
            WIRE 1168 1200 1184 1200
        END BRANCH
        BEGIN INSTANCE U4 1184 896 R0
        END INSTANCE
        BEGIN BRANCH XLXN_52(3:0)
            WIRE 1520 944 1552 944
        END BRANCH
        BEGIN BRANCH WE
            WIRE 928 1248 1168 1248
            WIRE 1168 1248 1184 1248
        END BRANCH
        BEGIN BRANCH Data_out(3:0)
            WIRE 1520 1168 1616 1168
        END BRANCH
        BEGIN DISPLAY 1160 432 TEXT "VGA System"
            FONT 64 "Arial"
            TEXTCOLOR 0 0 128
        END DISPLAY
        IOMARKER 1616 1168 Data_out(3:0) R0 28
        BEGIN INSTANCE U5 768 848 R0
        END INSTANCE
        BEGIN BRANCH Reset
            WIRE 736 816 768 816
        END BRANCH
        IOMARKER 736 816 Reset R180 28
        IOMARKER 1024 1136 Addr(12:0) R180 28
        IOMARKER 1040 1200 Data_in(3:0) R180 28
        IOMARKER 928 1248 WE R180 28
        BEGIN DISPLAY 852 1084 TEXT "From PicoBlaze"
            FONT 44 "Arial"
            TEXTCOLOR 0 0 128
        END DISPLAY
        BEGIN DISPLAY 1596 1120 TEXT "To PicoBlaze"
            FONT 44 "Arial"
            TEXTCOLOR 0 0 128
        END DISPLAY
        BEGIN INSTANCE U6 1552 848 R0
        END INSTANCE
        BEGIN BRANCH VGA_Plug(9:0)
            WIRE 1984 560 2048 560
        END BRANCH
        IOMARKER 2048 560 VGA_Plug(9:0) R0 28
        IOMARKER 560 1024 Clk R180 28
    END SHEET
END SCHEMATIC
